set const(SDL_SCANCODE_UNKNOWN) 0
set const(SDL_SCANCODE_A) 4
set const(SDL_SCANCODE_B) 5
set const(SDL_SCANCODE_C) 6
set const(SDL_SCANCODE_D) 7
set const(SDL_SCANCODE_E) 8
set const(SDL_SCANCODE_F) 9
set const(SDL_SCANCODE_G) 10
set const(SDL_SCANCODE_H) 11
set const(SDL_SCANCODE_I) 12
set const(SDL_SCANCODE_J) 13
set const(SDL_SCANCODE_K) 14
set const(SDL_SCANCODE_L) 15
set const(SDL_SCANCODE_M) 16
set const(SDL_SCANCODE_N) 17
set const(SDL_SCANCODE_O) 18
set const(SDL_SCANCODE_P) 19
set const(SDL_SCANCODE_Q) 20
set const(SDL_SCANCODE_R) 21
set const(SDL_SCANCODE_S) 22
set const(SDL_SCANCODE_T) 23
set const(SDL_SCANCODE_U) 24
set const(SDL_SCANCODE_V) 25
set const(SDL_SCANCODE_W) 26
set const(SDL_SCANCODE_X) 27
set const(SDL_SCANCODE_Y) 28
set const(SDL_SCANCODE_Z) 29
set const(SDL_SCANCODE_1) 30
set const(SDL_SCANCODE_2) 31
set const(SDL_SCANCODE_3) 32
set const(SDL_SCANCODE_4) 33
set const(SDL_SCANCODE_5) 34
set const(SDL_SCANCODE_6) 35
set const(SDL_SCANCODE_7) 36
set const(SDL_SCANCODE_8) 37
set const(SDL_SCANCODE_9) 38
set const(SDL_SCANCODE_0) 39
set const(SDL_SCANCODE_RETURN) 40
set const(SDL_SCANCODE_ESCAPE) 41
set const(SDL_SCANCODE_BACKSPACE) 42
set const(SDL_SCANCODE_TAB) 43
set const(SDL_SCANCODE_SPACE) 44
set const(SDL_SCANCODE_MINUS) 45
set const(SDL_SCANCODE_EQUALS) 46
set const(SDL_SCANCODE_LEFTBRACKET) 47
set const(SDL_SCANCODE_RIGHTBRACKET) 48
set const(SDL_SCANCODE_BACKSLASH) 49
set const(SDL_SCANCODE_NONUSHASH) 50
set const(SDL_SCANCODE_SEMICOLON) 51
set const(SDL_SCANCODE_APOSTROPHE) 52
set const(SDL_SCANCODE_GRAVE) 53
set const(SDL_SCANCODE_COMMA) 54
set const(SDL_SCANCODE_PERIOD) 55
set const(SDL_SCANCODE_SLASH) 56
set const(SDL_SCANCODE_CAPSLOCK) 57
set const(SDL_SCANCODE_F1) 58
set const(SDL_SCANCODE_F2) 59
set const(SDL_SCANCODE_F3) 60
set const(SDL_SCANCODE_F4) 61
set const(SDL_SCANCODE_F5) 62
set const(SDL_SCANCODE_F6) 63
set const(SDL_SCANCODE_F7) 64
set const(SDL_SCANCODE_F8) 65
set const(SDL_SCANCODE_F9) 66
set const(SDL_SCANCODE_F10) 67
set const(SDL_SCANCODE_F11) 68
set const(SDL_SCANCODE_F12) 69
set const(SDL_SCANCODE_PRINTSCREEN) 70
set const(SDL_SCANCODE_SCROLLLOCK) 71
set const(SDL_SCANCODE_PAUSE) 72
set const(SDL_SCANCODE_INSERT) 73
set const(SDL_SCANCODE_HOME) 74
set const(SDL_SCANCODE_PAGEUP) 75
set const(SDL_SCANCODE_DELETE) 76
set const(SDL_SCANCODE_END) 77
set const(SDL_SCANCODE_PAGEDOWN) 78
set const(SDL_SCANCODE_RIGHT) 79
set const(SDL_SCANCODE_LEFT) 80
set const(SDL_SCANCODE_DOWN) 81
set const(SDL_SCANCODE_UP) 82
set const(SDL_SCANCODE_NUMLOCKCLEAR) 83
set const(SDL_SCANCODE_KP_DIVIDE) 84
set const(SDL_SCANCODE_KP_MULTIPLY) 85
set const(SDL_SCANCODE_KP_MINUS) 86
set const(SDL_SCANCODE_KP_PLUS) 87
set const(SDL_SCANCODE_KP_ENTER) 88
set const(SDL_SCANCODE_KP_1) 89
set const(SDL_SCANCODE_KP_2) 90
set const(SDL_SCANCODE_KP_3) 91
set const(SDL_SCANCODE_KP_4) 92
set const(SDL_SCANCODE_KP_5) 93
set const(SDL_SCANCODE_KP_6) 94
set const(SDL_SCANCODE_KP_7) 95
set const(SDL_SCANCODE_KP_8) 96
set const(SDL_SCANCODE_KP_9) 97
set const(SDL_SCANCODE_KP_0) 98
set const(SDL_SCANCODE_KP_PERIOD) 99
set const(SDL_SCANCODE_NONUSBACKSLASH) 100
set const(SDL_SCANCODE_APPLICATION) 101
set const(SDL_SCANCODE_POWER) 102
set const(SDL_SCANCODE_KP_EQUALS) 103
set const(SDL_SCANCODE_F13) 104
set const(SDL_SCANCODE_F14) 105
set const(SDL_SCANCODE_F15) 106
set const(SDL_SCANCODE_F16) 107
set const(SDL_SCANCODE_F17) 108
set const(SDL_SCANCODE_F18) 109
set const(SDL_SCANCODE_F19) 110
set const(SDL_SCANCODE_F20) 111
set const(SDL_SCANCODE_F21) 112
set const(SDL_SCANCODE_F22) 113
set const(SDL_SCANCODE_F23) 114
set const(SDL_SCANCODE_F24) 115
set const(SDL_SCANCODE_EXECUTE) 116
set const(SDL_SCANCODE_HELP) 117
set const(SDL_SCANCODE_MENU) 118
set const(SDL_SCANCODE_SELECT) 119
set const(SDL_SCANCODE_STOP) 120
set const(SDL_SCANCODE_AGAIN) 121
set const(SDL_SCANCODE_UNDO) 122
set const(SDL_SCANCODE_CUT) 123
set const(SDL_SCANCODE_COPY) 124
set const(SDL_SCANCODE_PASTE) 125
set const(SDL_SCANCODE_FIND) 126
set const(SDL_SCANCODE_MUTE) 127
set const(SDL_SCANCODE_VOLUMEUP) 128
set const(SDL_SCANCODE_VOLUMEDOWN) 129
set const(SDL_SCANCODE_KP_COMMA) 133
set const(SDL_SCANCODE_KP_EQUALSAS400) 134
set const(SDL_SCANCODE_INTERNATIONAL1) 135
set const(SDL_SCANCODE_INTERNATIONAL2) 136
set const(SDL_SCANCODE_INTERNATIONAL3) 137
set const(SDL_SCANCODE_INTERNATIONAL4) 138
set const(SDL_SCANCODE_INTERNATIONAL5) 139
set const(SDL_SCANCODE_INTERNATIONAL6) 140
set const(SDL_SCANCODE_INTERNATIONAL7) 141
set const(SDL_SCANCODE_INTERNATIONAL8) 142
set const(SDL_SCANCODE_INTERNATIONAL9) 143
set const(SDL_SCANCODE_LANG1) 144
set const(SDL_SCANCODE_LANG2) 145
set const(SDL_SCANCODE_LANG3) 146
set const(SDL_SCANCODE_LANG4) 147
set const(SDL_SCANCODE_LANG5) 148
set const(SDL_SCANCODE_LANG6) 149
set const(SDL_SCANCODE_LANG7) 150
set const(SDL_SCANCODE_LANG8) 151
set const(SDL_SCANCODE_LANG9) 152
set const(SDL_SCANCODE_ALTERASE) 153
set const(SDL_SCANCODE_SYSREQ) 154
set const(SDL_SCANCODE_CANCEL) 155
set const(SDL_SCANCODE_CLEAR) 156
set const(SDL_SCANCODE_PRIOR) 157
set const(SDL_SCANCODE_RETURN2) 158
set const(SDL_SCANCODE_SEPARATOR) 159
set const(SDL_SCANCODE_OUT) 160
set const(SDL_SCANCODE_OPER) 161
set const(SDL_SCANCODE_CLEARAGAIN) 162
set const(SDL_SCANCODE_CRSEL) 163
set const(SDL_SCANCODE_EXSEL) 164
set const(SDL_SCANCODE_KP_00) 176
set const(SDL_SCANCODE_KP_000) 177
set const(SDL_SCANCODE_THOUSANDSSEPARATOR) 178
set const(SDL_SCANCODE_DECIMALSEPARATOR) 179
set const(SDL_SCANCODE_CURRENCYUNIT) 180
set const(SDL_SCANCODE_CURRENCYSUBUNIT) 181
set const(SDL_SCANCODE_KP_LEFTPAREN) 182
set const(SDL_SCANCODE_KP_RIGHTPAREN) 183
set const(SDL_SCANCODE_KP_LEFTBRACE) 184
set const(SDL_SCANCODE_KP_RIGHTBRACE) 185
set const(SDL_SCANCODE_KP_TAB) 186
set const(SDL_SCANCODE_KP_BACKSPACE) 187
set const(SDL_SCANCODE_KP_A) 188
set const(SDL_SCANCODE_KP_B) 189
set const(SDL_SCANCODE_KP_C) 190
set const(SDL_SCANCODE_KP_D) 191
set const(SDL_SCANCODE_KP_E) 192
set const(SDL_SCANCODE_KP_F) 193
set const(SDL_SCANCODE_KP_XOR) 194
set const(SDL_SCANCODE_KP_POWER) 195
set const(SDL_SCANCODE_KP_PERCENT) 196
set const(SDL_SCANCODE_KP_LESS) 197
set const(SDL_SCANCODE_KP_GREATER) 198
set const(SDL_SCANCODE_KP_AMPERSAND) 199
set const(SDL_SCANCODE_KP_DBLAMPERSAND) 200
set const(SDL_SCANCODE_KP_VERTICALBAR) 201
set const(SDL_SCANCODE_KP_DBLVERTICALBAR) 202
set const(SDL_SCANCODE_KP_COLON) 203
set const(SDL_SCANCODE_KP_HASH) 204
set const(SDL_SCANCODE_KP_SPACE) 205
set const(SDL_SCANCODE_KP_AT) 206
set const(SDL_SCANCODE_KP_EXCLAM) 207
set const(SDL_SCANCODE_KP_MEMSTORE) 208
set const(SDL_SCANCODE_KP_MEMRECALL) 209
set const(SDL_SCANCODE_KP_MEMCLEAR) 210
set const(SDL_SCANCODE_KP_MEMADD) 211
set const(SDL_SCANCODE_KP_MEMSUBTRACT) 212
set const(SDL_SCANCODE_KP_MEMMULTIPLY) 213
set const(SDL_SCANCODE_KP_MEMDIVIDE) 214
set const(SDL_SCANCODE_KP_PLUSMINUS) 215
set const(SDL_SCANCODE_KP_CLEAR) 216
set const(SDL_SCANCODE_KP_CLEARENTRY) 217
set const(SDL_SCANCODE_KP_BINARY) 218
set const(SDL_SCANCODE_KP_OCTAL) 219
set const(SDL_SCANCODE_KP_DECIMAL) 220
set const(SDL_SCANCODE_KP_HEXADECIMAL) 221
set const(SDL_SCANCODE_LCTRL) 224
set const(SDL_SCANCODE_LSHIFT) 225
set const(SDL_SCANCODE_LALT) 226
set const(SDL_SCANCODE_LGUI) 227
set const(SDL_SCANCODE_RCTRL) 228
set const(SDL_SCANCODE_RSHIFT) 229
set const(SDL_SCANCODE_RALT) 230
set const(SDL_SCANCODE_RGUI) 231
set const(SDL_SCANCODE_MODE) 257
set const(SDL_SCANCODE_AUDIONEXT) 258
set const(SDL_SCANCODE_AUDIOPREV) 259
set const(SDL_SCANCODE_AUDIOSTOP) 260
set const(SDL_SCANCODE_AUDIOPLAY) 261
set const(SDL_SCANCODE_AUDIOMUTE) 262
set const(SDL_SCANCODE_MEDIASELECT) 263
set const(SDL_SCANCODE_WWW) 264
set const(SDL_SCANCODE_MAIL) 265
set const(SDL_SCANCODE_CALCULATOR) 266
set const(SDL_SCANCODE_COMPUTER) 267
set const(SDL_SCANCODE_AC_SEARCH) 268
set const(SDL_SCANCODE_AC_HOME) 269
set const(SDL_SCANCODE_AC_BACK) 270
set const(SDL_SCANCODE_AC_FORWARD) 271
set const(SDL_SCANCODE_AC_STOP) 272
set const(SDL_SCANCODE_AC_REFRESH) 273
set const(SDL_SCANCODE_AC_BOOKMARKS) 274
set const(SDL_SCANCODE_BRIGHTNESSDOWN) 275
set const(SDL_SCANCODE_BRIGHTNESSUP) 276
set const(SDL_SCANCODE_DISPLAYSWITCH) 277
set const(SDL_SCANCODE_KBDILLUMTOGGLE) 278
set const(SDL_SCANCODE_KBDILLUMDOWN) 279
set const(SDL_SCANCODE_KBDILLUMUP) 280
set const(SDL_SCANCODE_EJECT) 281
set const(SDL_SCANCODE_SLEEP) 282
set const(SDL_SCANCODE_APP1) 283
set const(SDL_SCANCODE_APP2) 284